Name:           fizmo
Summary:        A Z-Machine interpreter supporting unicode, sound, blorbfile and more
Version:        0.7.2
Release:        %mkrel 1
URL:            http://spellbreaker.org/~chrender/fizmo/ 
Source0:        http://spellbreaker.org/~chrender/fizmo/source/fizmo-%{version}.tar.gz
Patch0:         fizmo-0.7.2-config-mk.patch
License:        BSD
Group:          Games/Other
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  SDL_sound-devel
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  jpeg-devel


%description
Fizmo is a Z-Machine interpreter. That means it allows you to play interactive 
fiction, also know as textadventures, which were implemented either by Infocom
or created using the Inform compiler. It is a console-based interpreter, 
meaning that there is no graphical user interface, and works with all Z-machine
versions except version 6.

%prep
%setup -q -n %{name}-%{version}
cp config.default.mk config.mk
%patch0

%build
make distclean
make fizmo-ncursesw fizmo-console

%install
rm -rf %{buildroot}
make  DESTDIR=%{buildroot} \
      install-locales install-fizmo-ncursesw install-fizmo-console #install-fizmo-glktermw
cd %{buildroot}%{_gamesbindir}
ln -s fizmo-ncursesw fizmo 
cd -
cd %{buildroot}%{_mandir}/man6/
ln -s fizmo-ncursesw.6.xz fizmo.6.xz

%files
%doc CHANGELOG.txt COPYRIGHT.txt README.txt README-0.7.txt user-config-example.txt
%{_mandir}/*/*
%{_gamesbindir}/fizmo-console
%{_gamesbindir}/fizmo-ncursesw
%lang(de) %{_datadir}/fizmo/locales/de_DE/*
%lang(en) %{_datadir}/fizmo/locales/en_US/*
%lang(fr) %{_datadir}/fizmo/locales/fr_FR/*
%{_gamesbindir}/fizmo


%changelog

* Sun Mar 18 2012 stormi <stormi> 0.7.2-1.mga2
+ Revision: 223824
- update to 0.7.2 final

* Mon Mar 05 2012 stormi <stormi> 0.7.2-0.beta.1.mga2
+ Revision: 219285
- 0.7.2 beta

* Thu Jun 30 2011 stormi <stormi> 0.6.10-1.mga2
+ Revision: 116890
- new bugfix release 0.6.10

* Wed May 04 2011 stormi <stormi> 0.6.9-1.mga1
+ Revision: 94935
- new bugfix version 0.6.9

* Sat Mar 26 2011 stormi <stormi> 0.6.8-3.mga1
+ Revision: 77713
+ rebuild (emptylog)

* Sat Jan 08 2011 stormi <stormi> 0.6.8-2.mga1
+ Revision: 861
- imported package fizmo


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.8-2mdv2011.0
+ Revision: 610429
- rebuild

* Tue Jan 12 2010 Samuel Verschelde <stormi@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 490460
- update to new version 0.6.8

* Tue Dec 15 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479047
- new version 0.6.7

* Tue Oct 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 457189
- new version 0.6.5

* Fri May 29 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 381111
- new version 0.6.4
- drop merged upstream patches

* Thu May 21 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 378314
- fix a typo in package description

* Wed May 20 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 378095
- upstream patches to fix crash and graphical glitches
- import fizmo


